Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		dt
Version:	21.27.git8d78d78
Release:	alt2_13
Summary:	Generic data test program
License:	MIT
URL:		https://github.com/RobinTMiller/dt
BuildRequires:  gcc, libuuid-devel
# Generated from new official github repo
# https://github.com/RobinTMiller/dt by command:
# git archive --format=tar.xz --prefix=dt.v21.27.git8d78d78/ 8d78d78 > dt-source-v21.27.git8d78d78.tar.xz
Source0: dt-source-v%{version}.tar.xz
Patch0: dt-manpage.patch
Source44: import.info

%description
dt is a generic data test program used to verify proper operation of
peripherals, file systems, device drivers, or any data stream supported by the
operating system. In its' simplest mode of operation, dt writes and then
verifies its' default data pattern, then displays performance statistics and
other test parameters before exiting. Since verification of data is performed,
dt can be thought of as a generic diagnostic tool.

dt command lines are similar to the dd program, which is popular on most UNIX
systems. It contains numerous options to give the user control of various test
parameters.

dt has been used to successfully test disks, tapes, serial lines, parallel
lines, pipes, and memory mapped files. In fact, dt can be used for any device
that allows the standard open, read, write, and close system calls. Special
support is necessary for some devices, such as serial lines, for setting up the
speed, parity, data bits, etc.

Available documentation is located in %{_defaultdocdir}/%{name}. Sample
scripts and config data are installed in %{_datadir}/%{name}.

%global __requires_exclude_from ^%{_datadir}/%{name}/.*$
%prep
%setup -q -n dt.v%{version}
%patch0 -p1

%build
mkdir tmp
cd tmp
%make_build CFLAGS="%{optflags} -I.. -DAIO -DMMAP -D__linux__ -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DSCSI" -f ../Makefile.linux VPATH=.. OS=linux

%install
install -d -m755 $RPM_BUILD_ROOT%{_sbindir}
install -d -m755 $RPM_BUILD_ROOT%{_mandir}/man8
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m755 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/html
install -m755 tmp/dt $RPM_BUILD_ROOT%{_sbindir}
install -m644 Documentation/dt.man $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8
install -m755 Scripts/dt? $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m644 data/pattern_* $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m644 html/* $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/html

%files
%{!?_licensedir:%global license %%doc}
%doc --no-dereference LICENSE
%doc Documentation/dt-UsersGuide.txt Documentation/ReleaseNotes-dt*.txt html
%{_sbindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man8/%{name}.**

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 21.27.git8d78d78-alt2_13
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 21.27.git8d78d78-alt2_11
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 21.27.git8d78d78-alt2_10
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 21.27.git8d78d78-alt2_9
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 21.27.git8d78d78-alt2_8
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 21.27.git8d78d78-alt2_7
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 21.27.git8d78d78-alt2_6
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 21.27.git8d78d78-alt2_5
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 21.27.git8d78d78-alt1_5
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 21.27.git8d78d78-alt1_4
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 21.27.git8d78d78-alt1_3
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 21.27.git8d78d78-alt1_2
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 21.27.git8d78d78-alt1_1
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 18.32-alt1_9
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 18.32-alt1_7
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 18.32-alt1_5
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 18.32-alt1_4
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 18.32-alt1_3
- update to new release by fcimport

* Tue Dec 23 2014 Igor Vlasenko <viy@altlinux.ru> 18.32-alt1_1
- update to new release by fcimport

* Sat Dec 07 2013 Igor Vlasenko <viy@altlinux.ru> 17.66-alt1_5
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 17.66-alt1_4
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 17.66-alt1_2
- update to new release by fcimport

* Fri Dec 14 2012 Igor Vlasenko <viy@altlinux.ru> 17.66-alt1_1
- converted for ALT Linux by srpmconvert tools

